{
  "id": "ff415931-0de6-4c89-900f-c6fd64830b2e",
  "prevId": "aa3e53ed-4f1b-4e00-84ea-58939189a427",
  "version": "7",
  "dialect": "postgresql",
  "tables": {
    "public.businesses": {
      "name": "businesses",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "email": {
          "name": "email",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "type": {
          "name": "type",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "title": {
          "name": "title",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "description": {
          "name": "description",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "city": {
          "name": "city",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "state": {
          "name": "state",
          "type": "char(2)",
          "primaryKey": false,
          "notNull": false
        },
        "zipCode": {
          "name": "zipCode",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "county": {
          "name": "county",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "price": {
          "name": "price",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        },
        "favoritesForUser": {
          "name": "favoritesForUser",
          "type": "varchar(30)[]",
          "primaryKey": false,
          "notNull": false
        },
        "draft": {
          "name": "draft",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false
        },
        "listingsCategory": {
          "name": "listingsCategory",
          "type": "listingsCategory",
          "typeSchema": "public",
          "primaryKey": false,
          "notNull": false
        },
        "realEstateIncluded": {
          "name": "realEstateIncluded",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false
        },
        "leasedLocation": {
          "name": "leasedLocation",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false
        },
        "franchiseResale": {
          "name": "franchiseResale",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false
        },
        "salesRevenue": {
          "name": "salesRevenue",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        },
        "cashFlow": {
          "name": "cashFlow",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        },
        "supportAndTraining": {
          "name": "supportAndTraining",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "employees": {
          "name": "employees",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "established": {
          "name": "established",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "internalListingNumber": {
          "name": "internalListingNumber",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "reasonForSale": {
          "name": "reasonForSale",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "brokerLicencing": {
          "name": "brokerLicencing",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "internals": {
          "name": "internals",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "imageName": {
          "name": "imageName",
          "type": "varchar(200)",
          "primaryKey": false,
          "notNull": false
        },
        "created": {
          "name": "created",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "updated": {
          "name": "updated",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "visits": {
          "name": "visits",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "lastVisit": {
          "name": "lastVisit",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "latitude": {
          "name": "latitude",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        },
        "longitude": {
          "name": "longitude",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        }
      },
      "indexes": {},
      "foreignKeys": {
        "businesses_email_users_email_fk": {
          "name": "businesses_email_users_email_fk",
          "tableFrom": "businesses",
          "tableTo": "users",
          "columnsFrom": [
            "email"
          ],
          "columnsTo": [
            "email"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        }
      },
      "compositePrimaryKeys": {},
      "uniqueConstraints": {}
    },
    "public.commercials": {
      "name": "commercials",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "serialId": {
          "name": "serialId",
          "type": "serial",
          "primaryKey": false,
          "notNull": true
        },
        "email": {
          "name": "email",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "type": {
          "name": "type",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "title": {
          "name": "title",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "description": {
          "name": "description",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "city": {
          "name": "city",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "state": {
          "name": "state",
          "type": "char(2)",
          "primaryKey": false,
          "notNull": false
        },
        "price": {
          "name": "price",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        },
        "favoritesForUser": {
          "name": "favoritesForUser",
          "type": "varchar(30)[]",
          "primaryKey": false,
          "notNull": false
        },
        "listingsCategory": {
          "name": "listingsCategory",
          "type": "listingsCategory",
          "typeSchema": "public",
          "primaryKey": false,
          "notNull": false
        },
        "hideImage": {
          "name": "hideImage",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false
        },
        "draft": {
          "name": "draft",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false
        },
        "zipCode": {
          "name": "zipCode",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "county": {
          "name": "county",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "imageOrder": {
          "name": "imageOrder",
          "type": "varchar(200)[]",
          "primaryKey": false,
          "notNull": false
        },
        "imagePath": {
          "name": "imagePath",
          "type": "varchar(200)",
          "primaryKey": false,
          "notNull": false
        },
        "created": {
          "name": "created",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "updated": {
          "name": "updated",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "visits": {
          "name": "visits",
          "type": "integer",
          "primaryKey": false,
          "notNull": false
        },
        "lastVisit": {
          "name": "lastVisit",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "latitude": {
          "name": "latitude",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        },
        "longitude": {
          "name": "longitude",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        }
      },
      "indexes": {},
      "foreignKeys": {
        "commercials_email_users_email_fk": {
          "name": "commercials_email_users_email_fk",
          "tableFrom": "commercials",
          "tableTo": "users",
          "columnsFrom": [
            "email"
          ],
          "columnsTo": [
            "email"
          ],
          "onDelete": "no action",
          "onUpdate": "no action"
        }
      },
      "compositePrimaryKeys": {},
      "uniqueConstraints": {}
    },
    "public.users": {
      "name": "users",
      "schema": "",
      "columns": {
        "id": {
          "name": "id",
          "type": "uuid",
          "primaryKey": true,
          "notNull": true,
          "default": "gen_random_uuid()"
        },
        "firstname": {
          "name": "firstname",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": true
        },
        "lastname": {
          "name": "lastname",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": true
        },
        "email": {
          "name": "email",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": true
        },
        "phoneNumber": {
          "name": "phoneNumber",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "description": {
          "name": "description",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "companyName": {
          "name": "companyName",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "companyOverview": {
          "name": "companyOverview",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "companyWebsite": {
          "name": "companyWebsite",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "companyLocation": {
          "name": "companyLocation",
          "type": "varchar(255)",
          "primaryKey": false,
          "notNull": false
        },
        "offeredServices": {
          "name": "offeredServices",
          "type": "text",
          "primaryKey": false,
          "notNull": false
        },
        "areasServed": {
          "name": "areasServed",
          "type": "jsonb",
          "primaryKey": false,
          "notNull": false
        },
        "hasProfile": {
          "name": "hasProfile",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false
        },
        "hasCompanyLogo": {
          "name": "hasCompanyLogo",
          "type": "boolean",
          "primaryKey": false,
          "notNull": false
        },
        "licensedIn": {
          "name": "licensedIn",
          "type": "jsonb",
          "primaryKey": false,
          "notNull": false
        },
        "gender": {
          "name": "gender",
          "type": "gender",
          "typeSchema": "public",
          "primaryKey": false,
          "notNull": false
        },
        "customerType": {
          "name": "customerType",
          "type": "customerType",
          "typeSchema": "public",
          "primaryKey": false,
          "notNull": false
        },
        "customerSubType": {
          "name": "customerSubType",
          "type": "customerSubType",
          "typeSchema": "public",
          "primaryKey": false,
          "notNull": false
        },
        "created": {
          "name": "created",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "updated": {
          "name": "updated",
          "type": "timestamp",
          "primaryKey": false,
          "notNull": false
        },
        "latitude": {
          "name": "latitude",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        },
        "longitude": {
          "name": "longitude",
          "type": "double precision",
          "primaryKey": false,
          "notNull": false
        }
      },
      "indexes": {},
      "foreignKeys": {},
      "compositePrimaryKeys": {},
      "uniqueConstraints": {
        "users_email_unique": {
          "name": "users_email_unique",
          "nullsNotDistinct": false,
          "columns": [
            "email"
          ]
        }
      }
    }
  },
  "enums": {
    "public.customerSubType": {
      "name": "customerSubType",
      "schema": "public",
      "values": [
        "broker",
        "cpa",
        "attorney",
        "titleCompany",
        "surveyor",
        "appraiser"
      ]
    },
    "public.customerType": {
      "name": "customerType",
      "schema": "public",
      "values": [
        "buyer",
        "professional"
      ]
    },
    "public.gender": {
      "name": "gender",
      "schema": "public",
      "values": [
        "male",
        "female"
      ]
    },
    "public.listingsCategory": {
      "name": "listingsCategory",
      "schema": "public",
      "values": [
        "commercialProperty",
        "business"
      ]
    }
  },
  "schemas": {},
  "sequences": {},
  "_meta": {
    "columns": {},
    "schemas": {},
    "tables": {}
  }
}